# MovieBarcodeGenerator

Does pretty much what it says. Generates color barcodes of video files. Inspired by [MOVIEBARCODE Tumblr](http://moviebarcode.tumblr.com/).

## Configuration
Change the `folderFFMpeg` key in the MovieBarcodeGenerator.exe.config file to your ffmpeg binary installation's `bin` folder.

## Usage

Basic Usage (defaults to 1000px wide and 100px high):
```
MovieBarcodeGenerator --input "Elfen Lied Ep 01.mp4" --output elfen-lied-ep-01--1000x100.png
```
![Elfen Lied - Episode 01 Barcode 1000x100](examples/elfen-lied-ep-01--1000x100.png)

```
MovieBarcodeGenerator --input "Predator (1987).avi" --output predator--1000x100.png
```
![Predator (1987) Barcode 1000x100](examples/predator--1000x100.png)

# TODO
* Start and end time (easier to cut out credits)
* Bar width